library lodash;

class Lodash {
  List chunk({@required List array, @required int size}) {
    int length;
    if (array.isEmpty) {
      length = 0;
    } else {
      length = array.length;
    }
    if (array.isEmpty || size < 1) {
      return [];
    }
    List result = List();
    int start = 0;
    int last = 0;
    while (last < length) {
      last = last + size;
      if (last > array.length) {
        last = array.length;
      }
      result.add(array.sublist(start, last));
      start = last;
    }
    return result;
  }

  List drop({@required List array, @required int n}) {
    if (array.isEmpty || n < 0 || n > array.length) {
      return [];
    }
    return array.sublist(n, array.length);
  }

  List dropRight({@required List array, @required int n}) {
    if (array.isEmpty || n < 0 || n > array.length) {
      return [];
    }
    return array.sublist(n, array.length);
  }
}
